Subject: cygwin32 environment variable causes ACCESS_VIOLATION
From: [email-masked] (David O'Riva)

15 Mar 1998 02:03:26 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

If I 

        set cygwin32=binmode title notty

....and then run bash (or _any_ cygwin32 command, for that matter), it
coredumps with STATUS_ACCESS_VIOLATION.  I have not done a lot of research,
but the only setting I can stick into "cygwin32" that does not cause an
immediate crash is notty.

Tried it with STRACE, got absolutely no trace output, leading me to believe
that the problem occurs pretty early in the setup code.  I have b19.1 in a
clean installation under NT4.0 SP3.  This is not a show-stopper for us, but
a responsive title bar (and default binmode!) would certainly be nice.  Is
this happening to anyone else?

BTW, thanks to wolfgang et al for getting rcs to work properly!

..core dump:
-----------------------------------------------------
( 1000) Exception trapped!
( 1000) exception C0000005 at 10008E09
( 1000) exception: ax 2000 bx 2C cx 0 dx 2C
( 1000) exception: si 240FC54 di 0 bp 240FDB4 sp 240FB04
( 1000) exception is: STATUS_ACCESS_VIOLATION
( 1000) Stack trace:
( 1000) frame 0: sp = 0x240F830, pc = 0x1000A250
( 1000) frame 1: sp = 0x240F954, pc = 0x77F94512
( 1000) frame 2: sp = 0x240F978, pc = 0x77F88EEB
( 1000) frame 3: sp = 0x240FA04, pc = 0x77F76266
( 1000) frame 4: sp = 0x240FDB4, pc = 0x1000914F
( 1000) frame 5: sp = 0x240FDDC, pc = 0x1001B274
( 1000) frame 6: sp = 0x240FE34, pc = 0x10006782
( 1000) frame 7: sp = 0x240FF94, pc = 0x10006B9C
( 1000) frame 8: sp = 0x240FFA0, pc = 0x4054D5
( 1000) frame 9: sp = 0x240FFB0, pc = 0x40103A
( 1000) frame 10: sp = 0x240FFC0, pc = 0x77F1B304
( 1000) frame 11: sp = 0x240FFF0, pc = 0x0
( 1000) End of stack trace
-----------------------------------------------------

-dave                                         ________  _______ ____
---------------------------------------------/_ \     \/|  ___ \    \- -
David O'Riva - Staff Programmer                /|  |\  \|  ____/ /\  \
   [email-masked]                            /|  |/  /|  |\/\  \/  /\
      "2^168 to 1 against and counting..."    __|_____o/|__o\ /\____o\ 
                                      - - ---/________\/____\--/____\-- -

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".